%define module_name Archive-Tar-Builder
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Errno.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(IPC/Open3.pm) perl(Symbol.pm) perl(Test/Exception.pm) perl(Test/Simple.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.5005
Release: alt4
Summary: Provides a braindead tarball builder thingie
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/X/XA/XAN/%{module_name}-%{version}.tar.gz

%description
Archive::Tar::Builder is meant to quickly and easily generate tarball streams,
and write them to a given file handle.  Though its options are few, its flexible
interface provides for a number of possible uses in many scenarios.

Archive::Tar::Builder supports path inclusions and exclusions, arbitrary file
name length, and the ability to add items from the filesystem into the archive
under an arbitrary name.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYRIGHT Changes LICENSE README.md
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 2.5005-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 2.5005-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 2.5005-alt2
- rebuild with perl 5.30

* Sun Oct 13 2019 Igor Vlasenko <viy@altlinux.ru> 2.5005-alt1
- updated by package builder

* Wed Jul 31 2019 Igor Vlasenko <viy@altlinux.ru> 2.5004-alt1
- updated by package builder

* Wed Jul 17 2019 Igor Vlasenko <viy@altlinux.ru> 2.5003-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 2.5002-alt2.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 2.5002-alt2
- rebuild with perl 5.26

* Mon May 01 2017 Igor Vlasenko <viy@altlinux.ru> 2.5002-alt1
- regenerated from template by package builder

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 2.5001-alt2
- rebuild to get rid of unmets

* Sat Dec 17 2016 Igor Vlasenko <viy@altlinux.ru> 2.5001-alt1
- initial import by package builder

